package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.MkmjSwipeCardRecordE;

import java.util.List;

/**
 * web-domain
 *
 * @Author dearLin
 * @Date 2026-04-22 17:04:00
 */
public interface MkmjSwipeCardRecordGateway {

    /**
     * 新增
     */
    Boolean add(MkmjSwipeCardRecordE mkmjSwipeCardRecordE);

    /**
     * 修改
     */
    Boolean update(MkmjSwipeCardRecordE mkmjSwipeCardRecordE);

    /**
     * 删除
     */
    Boolean deletedMkmjSwipeCardRecordById(Long id);

    Boolean deletedMkmjSwipeCardRecordByIds(List<Long> id);
}

